Subject: 30.0.50; c++-ts-mode namespace wrong fontification.

From: Ergus <[email-masked]>
Date: Sun, 19 May 2024 20:14:19 +0200

Following up the conversation in the develops mailing list I will report
this issue still happening:

In c++-ts-mode, the namespaces are not fontified like in c++-mode

(i.e in std::string the `std` used to have font-lock-constant-face while
`string` used to have font-lock-type-face).

It seems like tresitter identifies them properly like
(namespace_identifier) and (type_identifier), but the fontification rule
is wrong.

There was an attempt to fix it in c6a5aae3da17459be7550c but the issue
is still there.

Best,
Ergus